















<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="last-modified" content="2019-11-16 18:40:28 +0000">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- meta "search-domain" used for google site search function google_search() -->
    <meta name="search-domain" value="https://uc-carpentries.github.io/2019-11-15-chicago">
    <link rel="stylesheet" type="text/css" href="../../assets/css/bootstrap.css" />
    <link rel="stylesheet" type="text/css" href="../../assets/css/bootstrap-theme.css" />
    <link rel="stylesheet" type="text/css" href="../../assets/css/lesson.css" />
    <link rel="stylesheet" type="text/css" href="../../assets/css/syntax.css" />

    



    <!-- Favicons for everyone -->
    <link rel="apple-touch-icon-precomposed" sizes="57x57" href="../../assets/favicons/swc/apple-touch-icon-57x57.png" />
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="../../assets/favicons/swc/apple-touch-icon-114x114.png" />
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="../../assets/favicons/swc/apple-touch-icon-72x72.png" />
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="../../assets/favicons/swc/apple-touch-icon-144x144.png" />
    <link rel="apple-touch-icon-precomposed" sizes="60x60" href="../../assets/favicons/swc/apple-touch-icon-60x60.png" />
    <link rel="apple-touch-icon-precomposed" sizes="120x120" href="../../assets/favicons/swc/apple-touch-icon-120x120.png" />
    <link rel="apple-touch-icon-precomposed" sizes="76x76" href="../../assets/favicons/swc/apple-touch-icon-76x76.png" />
    <link rel="apple-touch-icon-precomposed" sizes="152x152" href="../../assets/favicons/swc/apple-touch-icon-152x152.png" />
    <link rel="icon" type="image/png" href="../../assets/favicons/swc/favicon-196x196.png" sizes="196x196" />
    <link rel="icon" type="image/png" href="../../assets/favicons/swc/favicon-96x96.png" sizes="96x96" />
    <link rel="icon" type="image/png" href="../../assets/favicons/swc/favicon-32x32.png" sizes="32x32" />
    <link rel="icon" type="image/png" href="../../assets/favicons/swc/favicon-16x16.png" sizes="16x16" />
    <link rel="icon" type="image/png" href="../../assets/favicons/swc/favicon-128.png" sizes="128x128" />
    <meta name="application-name" content="Software Carpentry - Workshop Title"/>
    <meta name="msapplication-TileColor" content="#FFFFFF" />
    <meta name="msapplication-TileImage" content="../../assets/favicons/swc/mstile-144x144.png" />
    <meta name="msapplication-square70x70logo" content="../../assets/favicons/swc/mstile-70x70.png" />
    <meta name="msapplication-square150x150logo" content="../../assets/favicons/swc/mstile-150x150.png" />
    <meta name="msapplication-wide310x150logo" content="../../assets/favicons/swc/mstile-310x150.png" />
    <meta name="msapplication-square310x310logo" content="../../assets/favicons/swc/mstile-310x310.png" />


    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
	<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
    <title>Workshop Title: Data_viz_ggplot</title>
  </head>
  <body>

    



    <div class="container">
      






<nav class="navbar navbar-default">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>

      
      
      <a href="https://software-carpentry.org" class="pull-left">
        <img class="navbar-logo" src="../../assets/img/swc-icon-blue.svg" alt="Software Carpentry logo" />
      </a>
      

      
      <a class="navbar-brand" href="../../">Home</a>

    </div>
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav">

	
        <li><a href="../../CODE_OF_CONDUCT.html">Code of Conduct</a></li>

        

	
	

	
        <li><a href="../../LICENSE.html">License</a></li>
	
	<li><a href="https://github.com/uc-carpentries/2019-11-15-chicago/edit/gh-pages/files/project_files/data_viz_ggplot.Rmd">Improve this page <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></a></li>
	
      </ul>
      <form class="navbar-form navbar-right" role="search" id="search" onsubmit="google_search(); return false;">
        <div class="form-group">
          <input type="text" id="google-search" placeholder="Search..." aria-label="Google site search">
        </div>
      </form>
    </div>
  </div>
</nav>















<h1 class="maintitle"><a href="../../">Workshop Title</a>: Data_viz_ggplot</h1>

<article>
```{r setup, include=FALSE}
knitr::opts_chunk$set(echo = TRUE)
```


Load packages: 

```{r}
library(tidyverse)
```


Load data: 

```{r}
interviews_plotting <- read_csv("../data/interviews_plotting.csv")
```

##My first ggplot  

```{r}
ggplot(data=interviews_plotting, aes(x=no_membrs, y=number_items)) + geom_point()
```

```{r}
ggplot(data=interviews_plotting, aes(x=no_membrs, y= number_items)) +
  geom_point(alpha=0.5)
```



```{r}
ggplot(data=interviews_plotting, aes(x=no_membrs, y=number_items)) +
  geom_jitter(alpha=0.5)
```

```{r}
ggplot(data=interviews_plotting, aes(x=no_membrs, y=number_items)) +
  geom_jitter(alpha= 0.5, color= "blue")
```

```{r}
ggplot(data=interviews_plotting, aes(x=no_membrs, y=number_items))+
  geom_jitter(aes(color=village), alpha=0.5)
```
Exercise: Use what you learned to create a scatter plot of romms by village with the respondent_wall_type showing in different colors. Is this a good way to show this type of data?


```{r}
ggplot(data=interviews_plotting, aes(x=village, y=rooms)) +
  geom_jitter(aes(color=respondent_wall_type))
```

##Boxplot  

```{r}
ggplot(data=interviews_plotting, aes(x=respondent_wall_type, y=rooms))+
  geom_boxplot(alpha=0) +
  geom_jitter(alpha=.5, color="tomato")
```
Exercise: Change these to violin plots to show density of data. 

```{r}
ggplot(data=interviews_plotting, aes(x=respondent_wall_type, y=rooms))+
  geom_violin(alpha=0) +
  geom_jitter(alpha=.5, color="tomato")
```


```{r}
ggplot(interviews_plotting, aes(x=respondent_wall_type, y=liv_count)) + 
  geom_boxplot(alpha=0) +
  geom_jitter(aes(color=memb_assoc), alpha=.5)
```

##Adding labels  

```{r}
ggplot(interviews_plotting, aes(x=respondent_wall_type, y=liv_count)) + 
  geom_boxplot(alpha=0) +
  geom_jitter(aes(color=memb_assoc), alpha=.5) +
  labs(title="People in House by wall type",
       x="Wall Type",
       y= "People in House") +
  scale_color_discrete(name="Association")

```
Side by side boxplots 

```{r}
houseplot<-ggplot(interviews_plotting, aes(x=respondent_wall_type, y=liv_count, fill=memb_assoc)) + 
  geom_boxplot() +
  geom_jitter(alpha=.5) +
  labs(title="People in House by wall type",
       x="Wall Type",
       y= "People in House") +
  scale_fill_discrete(name="Association")

houseplot
```

```{r}
ggsave("../figs/houseplots.png",houseplot)
```


</article>

      
      
<footer>
  <div class="row">
    <div class="col-md-6" align="left">
      <h4>
	Copyright &copy; 2016–2019
	
	<a href="https://software-carpentry.org">Software Carpentry</a>
	
      </h4>
    </div>
    <div class="col-md-6" align="right">
      <h4>
	<a href="mailto:team@carpentries.org">Contact The Carpentries</a>
      </h4>
    </div>
  </div>
</footer>

      
    </div>
    
<script src="../../assets/js/jquery.min.js"></script>
<script src="../../assets/js/bootstrap.min.js"></script>
<script src="../../assets/js/lesson.js"></script>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');
  ga('create', 'UA-37305346-2', 'auto');
  ga('send', 'pageview');
</script>

  </body>
</html>
